I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Anything that pertains to Portage

Moderator: Moderators

I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Postby joe3 » Wed Sep 10, 2008 22:48

I did an

# emerge mozilla-firefox

and was upgraded from firefox 2.0.0.11 to firefox 3.0.1

There are some real improvements. BUT I used to be able to click on a sites pdf link where the website expects my browser to confirm adobe's acrobat reader plugin in order to view the pdf... You know the ones that don't think I should have the option of using kpdf and won't offer me a download the pdf file option like this example copied from the source of a page at my bank...

<td colspan="2" align="center">Online Statements are offered as an optional free service to all Online Account Access users.
<p align="center">Please <a href="https://homebanking.gscu.org/servlet/Teller?requestType=vhtml&id=24.218.214.52^13202317027668732553388819F325523C6254381DA86EC19C4BC44D17&request=12680&action=statementinfo" target="_blank">click
here for additional information</a> or complete the form below to register.<br>
</p></td>


But now I simply get redirected to a page stating that I need the adobe plugin to view pdf documents...

I think I vaguely remember selecting an adobe reader during the install of sabayon 3.5 (If I remember right it's loop2 r1) In any case I don't have a clue what the package name to use to emerge the adobe reader plugin.

I tried:

# eix --only-names acrobat

# eix --only-names reader
dev-perl/ConfigReader
dev-perl/PatchReader
dev-perl/XML-Simple-DTDReader
media-plugins/vdr-rssreader
net-analyzer/chaosreader

# eix --only-names adobe
media-fonts/font-adobe-100dpi
media-fonts/font-adobe-75dpi
media-fonts/font-adobe-utopia-100dpi
media-fonts/font-adobe-utopia-75dpi
media-fonts/font-adobe-utopia-type1
net-print/adobeps
net-www/adobesvg

None of which sounds like the adobe reader plugin to me. So I thought I'd see what I could find through the manage add-ons button in firefox preferences. But the only linux adobe reader choice that leads to is an rpm file and I shudder to think what mixing rpm packages with emerging packages might do to my system...

Suggestions any one???

--
joe3
joe3
Advanced Hen
 
Posts: 200
Joined: Sun May 06, 2007 21:28

Re: I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Postby wolfden » Thu Sep 11, 2008 3:30

look and see if they have the plugin for 3.0 on the firefox plugins home page
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Postby Darksurf » Thu Sep 11, 2008 8:58

You cannot use FF2 plugins for FF3. Many of the plugins have been updated for FF3 and you'll just have to update/upgrade/re-install the plugin.
Its not hard. Unfortunately not all of the plugins have been updated to FF3 so if you had any other plugins, you may not find a version for FF3 and
may end up looking for different plugins. Don't worry there are plenty of plugins that do the samething, just in different ways.
~ Y </0 5+Up1</ P30p[Ez +Ry 2 R34</ D1s? ~
Darksurf
Old Dear Hen
 
Posts: 782
Joined: Sat Sep 16, 2006 4:01

Re: I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Postby WarraWarra » Thu Sep 11, 2008 18:39

Firefox 3.0.1 even in windoze is having several issues especially with flash.
I am sure they are working on several fixes.

Have you tried any of the other mozilla browsers out now that is more browser and less bloatware / firefoxware + less bugs.

You could also try to downgrade firefox to 3.0.0 and see if you get the same issues ?
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: I upgraded firefox to 3.0.1 BUT lost adobe reader plugin???

Postby Darksurf » Fri Sep 12, 2008 9:48

There is nothing wrong with FF and bloatware. You are welcome to add addons but don't have to. FF is one of the best browsers known to man.
... Actually I haven't had any problems with Flash in FF3... But I don't test it extensively, or play a whole lot of online flash games, only a few... :mrgreen:
:!: :shock: :!:
... wait ... Thats not even the issue at hand here... He is having problems with Adobe Reader ... Not Adobe Flash... :?
~ Y </0 5+Up1</ P30p[Ez +Ry 2 R34</ D1s? ~
Darksurf
Old Dear Hen
 
Posts: 782
Joined: Sat Sep 16, 2006 4:01


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest